petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatSetValuesRowLocal

Inserts a row (block row for BAIJ matrices) of nonzero values into a matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetValuesRowLocal(Mat mat,PetscInt row,const PetscScalar v[])

Not Collective

### Input Parameters

| mat | - the matrix
| row | - the (block) row to set
| v | - a logically two-dimensional array of values

### Notes

By the values, v, are column-oriented (for the block version) and sorted

All the nonzeros in the row must be provided

The matrix must have previously had its column indices set

The row must belong to this process

### See Also

MatSetOption(), MatAssemblyBegin(), MatAssemblyEnd(), MatSetValuesBlocked(), MatSetValuesLocal(),
InsertMode, INSERT_VALUES, ADD_VALUES, MatSetValues(), MatSetValuesRow(), MatSetLocalToGlobalMapping()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages